package com.hzya.frame.sys.flow.service;

import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.sys.flow.entity.SysFlowEntity;
import com.hzya.frame.basedao.service.IBaseService;
import com.hzya.frame.web.entity.JsonResultEntity;

/**
 * 流程主表;流程就是数环通的Linkup(SysFlow)表服务接口
 *
 * @author xiang2lin
 * @since 2025-04-29 10:16:24
 */
public interface ISysFlowService extends IBaseService<SysFlowEntity, String>{
    /**
     * 保存流程主表
     * @param object
     * @return
     */
    JsonResultEntity saveFlow(JSONObject object);

    /**
     * 更新流程主表
     * @param object
     * @return
     */
    JsonResultEntity updateFlow(JSONObject object);

    /**
     * 删除流程主表
     * @param object
     * @return
     */
    JsonResultEntity deleteFlow(JSONObject object);

    /**
     * 列表查询
     * @param object
     * @return
     */
    JsonResultEntity queryFlowList(JSONObject object);

    /**
     * 分页查询
     * @param object
     * @return
     */
    JsonResultEntity queryFlowPagedInfo(JSONObject object);
}
