package com.hzya.frame.nifi.model.processgroupid;

import lombok.Data;

import java.util.List;

@Data
public class Config {
    private Properties properties;
    private Descriptors descriptors;
    private String schedulingPeriod;
    private String schedulingStrategy;
    private String executionNode;
    private String penaltyDuration;
    private String yieldDuration;
    private String bulletinLevel;
    private String runDurationMillis;
    private String concurrentlySchedulableTaskCount;
    private String comments;
    private String lossTolerant;
    private DefaultConcurrentTasks defaultConcurrentTasks;
    private DefaultSchedulingPeriod defaultSchedulingPeriod;
    private String retryCount;
    private List<String> retriedRelationships;
    private String backoffMechanism;
    private String maxBackoffPeriod;
}